#!/usr/bin/python2.4
# vim:ts=4:sw=4:softtabstop=4:smarttab:expandtab

# libsmi constants as Python Enums

from pycopia.aid import Enum

SMI_BASETYPE_FLOAT128 = Enum(9, 'SMI_BASETYPE_FLOAT128')
SMI_LIBRARY_VERSION = '2:22:0'
SMI_DECL_NODE = Enum(36, 'SMI_DECL_NODE')
SMI_DECL_IMPLICIT_TYPE = Enum(1, 'SMI_DECL_IMPLICIT_TYPE')
SMI_DECL_MODULE = Enum(33, 'SMI_DECL_MODULE')
SMI_BASETYPE_UNSIGNED32 = Enum(4, 'SMI_BASETYPE_UNSIGNED32')
SMI_ACCESS_UNKNOWN = Enum(0, 'SMI_ACCESS_UNKNOWN')
SMI_RENDER_UNKNOWN = Enum(32, 'SMI_RENDER_UNKNOWN')
SMI_DECL_COLUMN = Enum(40, 'SMI_DECL_COLUMN')
SMI_INDEX_EXPAND = Enum(5, 'SMI_INDEX_EXPAND')
SMI_DECL_MODULEIDENTITY = Enum(8, 'SMI_DECL_MODULEIDENTITY')
SMI_NODEKIND_TABLE = Enum(4, 'SMI_NODEKIND_TABLE')
SMI_ACCESS_NOTIFY = Enum(3, 'SMI_ACCESS_NOTIFY')
SMI_ACCESS_REPORT_ONLY = Enum(8, 'SMI_ACCESS_REPORT_ONLY')
SMI_LANGUAGE_SMIV1 = Enum(1, 'SMI_LANGUAGE_SMIV1')
SMI_DECL_TYPEDEF = Enum(35, 'SMI_DECL_TYPEDEF')
SMI_FLAG_MASK = Enum(63488, 'SMI_FLAG_MASK')
SMI_BASETYPE_INTEGER32 = Enum(1, 'SMI_BASETYPE_INTEGER32')
SMI_DECL_NOTIFICATIONTYPE = Enum(9, 'SMI_DECL_NOTIFICATIONTYPE')
SMI_LANGUAGE_SMIV2 = Enum(2, 'SMI_LANGUAGE_SMIV2')
SMI_FLAG_VIEWALL = Enum(4096, 'SMI_FLAG_VIEWALL')
SMI_VERSION_MINOR = Enum(4, 'SMI_VERSION_MINOR')
SMI_INDEX_SPARSE = Enum(4, 'SMI_INDEX_SPARSE')
SMI_RENDER_PRINTABLE = Enum(16, 'SMI_RENDER_PRINTABLE')
SMI_RENDER_QUALIFIED = Enum(4, 'SMI_RENDER_QUALIFIED')
SMI_NODEKIND_UNKNOWN = Enum(0, 'SMI_NODEKIND_UNKNOWN')
SMI_DECL_AGENTCAPABILITIES = Enum(14, 'SMI_DECL_AGENTCAPABILITIES')
SMI_NODEKIND_COMPLIANCE = Enum(128, 'SMI_NODEKIND_COMPLIANCE')
SMI_INDEX_REORDER = Enum(3, 'SMI_INDEX_REORDER')
SMI_ACCESS_READ_ONLY = Enum(4, 'SMI_ACCESS_READ_ONLY')
SMI_RENDER_ALL = Enum(255, 'SMI_RENDER_ALL')
SMI_ACCESS_NOT_IMPLEMENTED = Enum(1, 'SMI_ACCESS_NOT_IMPLEMENTED')
SMI_NODEKIND_NOTIFICATION = Enum(32, 'SMI_NODEKIND_NOTIFICATION')
SMI_ACCESS_INSTALL_NOTIFY = Enum(7, 'SMI_ACCESS_INSTALL_NOTIFY')
SMI_RENDER_NUMERIC = Enum(1, 'SMI_RENDER_NUMERIC')
SMI_NODEKIND_ROW = Enum(8, 'SMI_NODEKIND_ROW')
SMI_ACCESS_READ_WRITE = Enum(5, 'SMI_ACCESS_READ_WRITE')
SMI_LANGUAGE_SMING = Enum(3, 'SMI_LANGUAGE_SMING')
SMI_DECL_COMPL_OBJECT = Enum(18, 'SMI_DECL_COMPL_OBJECT')
SMI_DECL_MACRO = Enum(16, 'SMI_DECL_MACRO')
SMI_BASETYPE_FLOAT64 = Enum(8, 'SMI_BASETYPE_FLOAT64')
SMI_DECL_VALUEASSIGNMENT = Enum(5, 'SMI_DECL_VALUEASSIGNMENT')
SMI_NODEKIND_NODE = Enum(1, 'SMI_NODEKIND_NODE')
SMI_RENDER_NAME = Enum(2, 'SMI_RENDER_NAME')
SMI_FLAG_STATS = Enum(32768, 'SMI_FLAG_STATS')
SMI_DECL_TYPEASSIGNMENT = Enum(2, 'SMI_DECL_TYPEASSIGNMENT')
SMI_FLAG_ERRORS = Enum(8192, 'SMI_FLAG_ERRORS')
SMI_DECL_NOTIFICATIONGROUP = Enum(12, 'SMI_DECL_NOTIFICATIONGROUP')
SMI_DECL_NOTIFICATION = Enum(41, 'SMI_DECL_NOTIFICATION')
SMI_BASETYPE_OCTETSTRING = Enum(2, 'SMI_BASETYPE_OCTETSTRING')
SMI_INDEX_UNKNOWN = Enum(0, 'SMI_INDEX_UNKNOWN')
SMI_STATUS_UNKNOWN = Enum(0, 'SMI_STATUS_UNKNOWN')
SMI_DECL_COMPLIANCE = Enum(43, 'SMI_DECL_COMPLIANCE')
SMI_BASETYPE_UNSIGNED64 = Enum(6, 'SMI_BASETYPE_UNSIGNED64')
SMI_ACCESS_NOT_ACCESSIBLE = Enum(2, 'SMI_ACCESS_NOT_ACCESSIBLE')
SMI_DECL_TEXTUALCONVENTION = Enum(15, 'SMI_DECL_TEXTUALCONVENTION')
SMI_BASETYPE_UNKNOWN = Enum(0, 'SMI_BASETYPE_UNKNOWN')
SMI_DECL_ROW = Enum(39, 'SMI_DECL_ROW')
SMI_DECL_OBJECTIDENTITY = Enum(7, 'SMI_DECL_OBJECTIDENTITY')
SMI_DECL_SCALAR = Enum(37, 'SMI_DECL_SCALAR')
SMI_VERSION_STRING = '0.4.2'
SMI_RENDER_FORMAT = Enum(8, 'SMI_RENDER_FORMAT')
SMI_BASETYPE_INTEGER64 = Enum(5, 'SMI_BASETYPE_INTEGER64')
SMI_BASETYPE_FLOAT32 = Enum(7, 'SMI_BASETYPE_FLOAT32')
SMI_ACCESS_INSTALL = Enum(6, 'SMI_ACCESS_INSTALL')
SMI_DECL_COMPL_GROUP = Enum(17, 'SMI_DECL_COMPL_GROUP')
SMI_NODEKIND_COLUMN = Enum(16, 'SMI_NODEKIND_COLUMN')
SMI_STATUS_MANDATORY = Enum(3, 'SMI_STATUS_MANDATORY')
SMI_DECL_MODULECOMPLIANCE = Enum(13, 'SMI_DECL_MODULECOMPLIANCE')
SMI_BASETYPE_OBJECTIDENTIFIER = Enum(3, 'SMI_BASETYPE_OBJECTIDENTIFIER')
SMI_FLAG_RECURSIVE = Enum(16384, 'SMI_FLAG_RECURSIVE')
SMI_UNKNOWN_LABEL = '<unknown>'
SMI_INDEX_AUGMENT = Enum(2, 'SMI_INDEX_AUGMENT')
SMI_FLAG_NODESCR = Enum(2048, 'SMI_FLAG_NODESCR')
SMI_NODEKIND_CAPABILITIES = Enum(256, 'SMI_NODEKIND_CAPABILITIES')
SMI_DECL_TRAPTYPE = Enum(10, 'SMI_DECL_TRAPTYPE')
SMI_DECL_EXTENSION = Enum(34, 'SMI_DECL_EXTENSION')
SMI_STATUS_CURRENT = Enum(1, 'SMI_STATUS_CURRENT')
SMI_BASETYPE_ENUM = Enum(10, 'SMI_BASETYPE_ENUM')
SMI_STATUS_OBSOLETE = Enum(5, 'SMI_STATUS_OBSOLETE')
SMI_STATUS_DEPRECATED = Enum(2, 'SMI_STATUS_DEPRECATED')
SMI_BASETYPE_BITS = Enum(11, 'SMI_BASETYPE_BITS')
SMI_NODEKIND_SCALAR = Enum(2, 'SMI_NODEKIND_SCALAR')
SMI_DECL_OBJECTGROUP = Enum(11, 'SMI_DECL_OBJECTGROUP')
SMI_VERSION_PATCHLEVEL = Enum(2, 'SMI_VERSION_PATCHLEVEL')
SMI_STATUS_OPTIONAL = Enum(4, 'SMI_STATUS_OPTIONAL')
SMI_LANGUAGE_UNKNOWN = Enum(0, 'SMI_LANGUAGE_UNKNOWN')
SMI_VERSION_MAJOR = Enum(0, 'SMI_VERSION_MAJOR')
SMI_NODEKIND_GROUP = Enum(64, 'SMI_NODEKIND_GROUP')
SMI_DECL_TABLE = Enum(38, 'SMI_DECL_TABLE')
SMI_DECL_OBJECTTYPE = Enum(6, 'SMI_DECL_OBJECTTYPE')
SMI_DECL_IMPL_SEQUENCEOF = Enum(4, 'SMI_DECL_IMPL_SEQUENCEOF')
SMI_DECL_GROUP = Enum(42, 'SMI_DECL_GROUP')
SMI_NODEKIND_ANY = Enum(65535, 'SMI_NODEKIND_ANY')
SMI_DECL_UNKNOWN = Enum(0, 'SMI_DECL_UNKNOWN')
SMI_LANGUAGE_SPPI = Enum(4, 'SMI_LANGUAGE_SPPI')
SMI_INDEX_INDEX = Enum(1, 'SMI_INDEX_INDEX')
